/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 31-12-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/raphaelgoetter/pen/GRGQJLe */
/* info     -> cqunit2typo */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIABLES */

@font-face {
  font-family: 'Oxanium';
  src: url('fonts/Oxanium-VariableFont_wght.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Anodina-Light';
  src: url('fonts/Anodina-Light.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Hanken-Grotesk';
  src: url('fonts/HankenGrotesk-VariableFont_wght.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */

    /* counter - card-front */ 
    --count-color: rgb(255,255,255,.6);	/* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 3rem;                 	/* counter size - def 4rem */
	--count-font: Arial;					/* font-familiy ARIAL */
    /*--count-pos-top:1.4rem;             	/* counter position top - def 1rem NOT IN USE*/
    --count-pos-right:1.6rem;             	/* counter position right - def 1.2rem */
    /*--count-pos-left: 2rem;       		/* counter position left - NOT IN USE */
    --count-pos-bottom: 1.4rem;     			/* counter position bottom -  */ 
    --count-width: 1px;             		/* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              		/* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 31-12-22 */
/* RESET COUNTER -> SEE design.css */
/* CQUNIT2TYPO */

/* Show/Hide Warning if no container Queries Support */
@supports (container-type: inline-size) {
	.info {
		display: none;
	}
}
.info, .warning {
  text-align: center;
	padding: 1em;
	border: 1px solid #123456;
	background: rgba(205 230 255 / 0.8);
}
.warning {
	background: rgba(255 255 225 / 0.9);
}
.info p, .warning p {
	margin: 0;
	padding: 0;
	color: #123456;
}




/* erstelle einen Container Queries basierend auf der Breite des Elternteils */
.container {
  container-type: inline-size;
}

/* passe die Schriftgröße an die Breite des Containers an (mindestens 1rem). */
h2 {
  font-size: max(6cqw, 1rem);
}

/* deco */
body {
  margin:4rem;
  padding: 1rem;
  font-family:'Hanken-Grotesk', Arial, Helvetica, sans-serif;
}

.container {
  margin-block: 50px;
  padding: 0.5em;
  border: 1px solid #999;
  resize: horizontal;
  overflow: auto;
}

p { 
  padding: .2rem;
}

/* RESET */
/*
 * Umschalten auf das border-box-Modell für alle Elemente
 * min-width: auto bei Flex- und Grid-Elementen vermeiden
 */
*,
*::before,
*::after {
  box-sizing: border-box;
  min-width: 0;
}

/* Break words to prevent overflows */
html {
  overflow-wrap: break-word;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  min-height: 100dvh;
  /* font-family: system-ui, sans-serif; */
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* Remove default margin and padding */
*:where(body,
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  p,
  figure,
  blockquote,
  dl,
  dd) {
  margin: 0;
  padding: 0;
}

/* Remove all animations on demand */
@media (prefers-reduced-motion: reduce) {
  *,
*::before,
*::after {
    -webkit-animation: none !important;
            animation: none !important;
    transition: none !important;
    background-attachment: initial !important;
    scroll-behavior: auto !important;
  }
}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */
.count-reset {
	counter-reset:Element; /* reset must be here */
	}

.count-item::before { 
	position:absolute;
  	display:flex;
	/*top:var(--count-pos-top);*/
  	right:var(--count-pos-right);
  	bottom:var(--count-pos-bottom);
  /*left:var(--count-pos-left);*/
	justify-content:center;
  	align-items:center;
  	counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font-family:var(--count-font);
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width);
	  -webkit-font-smoothing:antialiased;
	color:red; /*var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	z-index:999;
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */